> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payaza.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Transaction Status Query

> This endpoint is used to check the status of a transaction using the transaction reference from the Momo Collection Request.



## OpenAPI

````yaml /openapi.json get /subsidiary/collections/v1/check-status?transaction_reference={transaction_reference}&country_code={country_code}
openapi: 3.0.1
info:
  title: Payaza Documentation
  version: 2.0.0
  description: >-
    API reference for processing payments using Card, Bank Transfer, USSD, and
    QR Code methods.
servers:
  - url: https://api.payaza.africa/live
security:
  - ApiKeyAuth: []
  - TenantID: []
  - ProductID: []
tags:
  - name: Transfers
    description: >-
      Transfers are transactions made from your Payaza account to beneficiaries.
      Merchants can instantly transfer funds from their available balance. For
      every transfer, you need to specify the amount and the beneficiary’s
      details. You become eligible to make transfers after you have been
      verified. (you sign up, finish account activation and KYC verification).
  - name: Payaza Account
    description: >-
      This is our internal account that can be used to make payouts to other
      bank accounts, in single or in bulk. The Payaza account can also be used
      to receive settlements. It can also be used to track the transfer status
      of your transactions and check your balance instantly
  - name: Sub Accounts
    description: >-
      This enables you to establish Sub Payaza accounts for your customers. Each
      sub-account comes with an assigned static virtual account, facilitating
      direct funding for individual accounts. Furthermore, the Main Payaza
      account can directly initiate funding for each sub-account. These
      sub-accounts serve the purpose of managing unique account positions or
      balances and facilitating disbursements from these positions to specified
      beneficiaries.
  - name: EUR Accounts
    description: >-
      This endpoints enable you to create EUR subaccounts which can be used to
      make transfers as required .
  - name: Apple Pay and Google Pay
    description: >-
      Apple Pay and Google Pay give your customers a fast, familiar, and secure
      way to complete payments. Our APIs provide a gateway to provide these
      services to your users for a smooth payment experience.
  - name: Virtual Accounts
    description: >-
      Virtual Accounts are bank accounts that are created for a specific purpose
      and last for specified durations. Virtual accounts are issued by Payaza’s
      partner banks. Our virtual account APIs can be used to create virtual
      accounts and perform other tasks relevant to virtual accounts. Virtual
      accounts are created to foster easy payment collections for your business
      and platform. 

      Static/Reserved Account: This virtual account is created by the merchant
      and remains valid indefinitely. It can be used multiple times and does not
      expire. 

      Dynamic Account: This virtual account is generated for a specific
      transaction or purpose. Please note that dynamic virtual account remains
      valid for a temporary period of time or until a payment of the specified
      amount is received. Upon expiry, a merchant can generate another one for a
      different purpose.
  - name: Card Collection
    description: >-
      The Card Collection APIs can be used to make card transactions, refund
      transactions that have been performed, check the status of a transaction
      and so much more.
  - name: Card Tokenisation
    description: >-
      The Card Tokenisation APIs are used to create card tokens, charge cards
      using tokens, retrieve all tokens created by a merchant account and
      deleting any card token as desired.
  - name: Refunds And Chargebacks
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Branches
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Auth-Capture-Void
    description: >-
      The Auth-Capture-Void APIs provide a two-phase payment process where
      transactions are first authorized, then captured or voided. This allows
      merchants to hold funds and complete the transaction in the future.
  - name: Momo and ZAR Collections
    description: APIs for MoMo, ZAR and XOF collections.
  - name: Check Transaction Status(Merchant Reference)
    description: >-
      This endpoint is used to check the transaction status of a transaction
      using the Merchant Reference..
paths:
  /subsidiary/collections/v1/check-status?transaction_reference={transaction_reference}&country_code={country_code}:
    get:
      tags:
        - Momo And ZAR Collections
      summary: Transaction Status Query
      description: >-
        This endpoint is used to check the status of a transaction using the
        transaction reference from the Momo Collection Request.
      parameters:
        - name: transaction_reference
          in: path
          required: true
          schema:
            type: string
          description: The unique identifier of the transaction
        - name: country_code
          in: path
          required: true
          schema:
            type: string
          description: >-
            The ISO Country Code. (ISO 3166-1 alpha-2) (GH-Ghana, TZ-Tanzania,
            UG - Uganda, KE-Kenya)
      responses:
        '200':
          description: Payment successful
          content:
            application/json:
              schema:
                oneOf:
                  - 8f08aab7-9fb8-44e5-853a-7da2575074d8
              examples:
                Before Payment:
                  summary: Before Payment Response
                  value:
                    response_code: '09'
                    transaction_reference: UDH012345
                    transaction_amount: 200.27
                    transaction_fee: 0
                    transaction_status: Initialized
                    payer_name: Robert Stones
                    payer_account_number: '233123456789'
                    start_date: '2024-05-21T20:14:01.254748'
                    end_date: 'null'
                    currency: GHS
                After Payment:
                  summary: After Payment Response
                  value:
                    response_code: '00'
                    transaction_reference: UDH012345
                    transaction_amount: 200.27
                    transaction_fee: 0
                    transaction_status: Completed
                    payer_name: Robert Stones
                    payer_account_number: '233123456789'
                    start_date: '2024-05-21T20:14:01.254748'
                    end_date: '2024-05-21T20:14:29.889059'
                    currency: GHS
        '400':
          description: Payment failed
      security:
        - ApiKeyAuth:
            - Payaza {{Public API Key In Base64}}
          TenantID:
            - test or live
          ProductID:
            - default value is ‟app”
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Payaza {{Public API Key in Base 64}}
    TenantID:
      type: apiKey
      in: header
      name: X-TenantID
      description: live or test
    ProductID:
      type: apiKey
      in: header
      name: X-ProductID
      description: 'default value is ‟app” '

````